hpp-corbaserver: hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage > Class Template Reference

`#include <hpp/pinocchio_idl/robots-fwd.hh>`

Inheritance diagram for hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::pinocchio::CenterOfMassComputation | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::CenterOfMassComputation, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::pinocchio_idl::CenterOfMassComputation, HppBase)
| CenterOfMassComputationServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~CenterOfMassComputationServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
void | compute ()
hpp::floatSeq * | com ()
hpp::value_type | mass ()
hpp::floatSeqSeq * | jacobian ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::CenterOfMassComputation, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::CenterOfMassComputation, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::CenterOfMassComputation, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::pinocchio::CenterOfMassComputation hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ CenterOfMassComputationServant()

template<typename _Base , typename _Storage >

hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::CenterOfMassComputationServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~CenterOfMassComputationServant()

template<typename _Base , typename _Storage >

hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::~CenterOfMassComputationServant
| virtual

## Member Function Documentation

## ◆ com()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::com

## ◆ compute()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::compute

## ◆ deleteIfExpired()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::deleteIfExpired

## ◆ deleteThis()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::deleteThis

## ◆ jacobian()

template<typename _Base , typename _Storage >

hpp::floatSeqSeq * hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::jacobian

## ◆ mass()

template<typename _Base , typename _Storage >

hpp::value_type hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::mass

## ◆ persistantStorage()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::pinocchio_impl::CenterOfMassComputationServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::pinocchio_idl::CenterOfMassComputation | ,
|  | HppBase |
| ) |  |

The documentation for this class was generated from the following files:

- src/hpp/pinocchio_idl/robots-fwd.hh
- src/hpp/pinocchio_idl/robots.hh